Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1081695 - Correct endianess headers in lcms2
Summary: Correct endianess headers in lcms2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lcms2
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-03-27 18:47 UTC by Brent Baude
Modified: 2014-09-18 12:38 UTC (History)
6 users (show)

Fixed In Version: lcms2-2.6-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-18 12:38:09 UTC


Attachments (Terms of Use)
lcms2 ppc64le correction patch (deleted)
2014-03-27 18:47 UTC, Brent Baude
no flags Details | Diff

Description Brent Baude 2014-03-27 18:47:47 UTC
Created attachment 879576 [details]
lcms2 ppc64le correction patch

The current rawhide lcms2 does not set endianess correctly.  IBM committed a patch to upstream which they reworked and has typos in.  Here is the patch that corrects this.  IBM will also take this upstream.

Spec change (if needed):
diff --git a/lcms2.spec b/lcms2.spec
index a32aa33..3282c17 100644
--- a/lcms2.spec
+++ b/lcms2.spec
@@ -1,11 +1,11 @@
 Name:           lcms2
 Version:        2.6
-Release:        1%{?dist}
+Release:        1.3%{?dist}
 Summary:        Color Management Engine
 License:        MIT
 URL:            http://www.littlecms.com/
 Source0:        http://www.littlecms.com/lcms2-2.6.tar.gz
-
+Patch99:       ppc64le-fix.patch
 BuildRequires:  libjpeg-devel
 BuildRequires:  libtiff-devel
 BuildRequires:  zlib-devel
@@ -34,6 +34,7 @@ Development files for LittleCMS.
 
 %prep
 %setup -q -n lcms2-2.6
+%patch99 -p1
 
 %build
 %configure --disable-static --program-suffix=2

Actual Patch will be attached.

Comment 1 Will Schmidt 2014-03-31 18:44:05 UTC
patch posted upstream (03/27) via http://sourceforge.net/p/lcms/mailman/message/32155201/


Note You need to log in before you can comment on or make changes to this bug.